ApiManagementUsers
POST
/v1/mgmt/family/createAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
name?string
customAttributes?object
Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays.
Example
{
"attribute-key": "attribute-value"
}photo?string
disabled?boolean
familyId?string
familyId - optional caller-supplied family ID; a random one is generated when omitted. Not validated as descope_id since a caller-supplied ID need not match Descope's own generated-ID format.
Create a family, using a valid management key.
curl -X POST "https://api.descope.com/v1/mgmt/family/create" \ -H "Content-Type: application/json" \ -d '{}'{ "family": { "id": "string", "name": "string", "customAttributes": { "attribute-key": "attribute-value" }, "disabled": true, "photo": "string", "createdTime": 0 }}export interface Response {family?: {id?: stringname?: string/** * Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays. */customAttributes?: {[k: string]: string}disabled?: booleanphoto?: stringcreatedTime?: number}} Was this helpful?